//-----------------------------------------------------------------
//-----Tom 'Phantazm11' Perryman
//-----www.phantazm11.com
//-----phantazm11(at)gmail[dot]com
//-----10.25.2014
//-----------------------------------------------------------------

textures/phanttech/dek1
{
	qer_editorImage skpk/qer/env/dek1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_LightMapFilterRadius 0 8
	q3map_sunExt 1 1 1 40 0 90 2 16
	q3map_sunExt 1 0 0 20 90 25 2 16
	q3map_sunExt 1 0 0 60 90 10 2 16
	q3map_sunExt 0 0 1 20 270 25 2 16
	q3map_sunExt 0 0 1 60 270 10 2 16
	q3map_skylight 150 4
	nopicmip
	skyparms skpk/env/dek1 - -
}

textures/phanttech/phantq3dm6_fog
{
	qer_editorimage textures/phanttech/phantq3dm6_fog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( 0.5647058 0.5294117 0.3333333 ) 50000
	//fogparms ( 1.000000 0.905747 0.665528 ) 11000
	//fogparms ( .270 .258 .215 ) 1000
}

textures/phanttech/phantq3dm6_turbine
{
	qer_editorimage textures/phanttech/phantq3dm6_turbine.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/phanttech/phantq3dm6_turbine.tga
		tcMod rotate 250
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/phanttech/phantq3dm6_rock_002
{
	qer_editorimage textures/phanttech/phantq3dm6_rock_002.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map textures/phanttech/phantq3dm6_rock_002.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/phanttech/phantq3dm6_dirt
{
	qer_editorimage textures/phanttech/phantq3dm6_dirt.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map textures/phanttech/phantq3dm6_dirt.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/phanttech/phantq3dm6_rock_002_to_dirt
{
	qer_editorimage textures/phanttech/phantq3dm6_rock_002.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_dirt.jpg
	} 
	{
		map textures/phanttech/phantq3dm6_rock_002.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		alphagen vertex
	} 
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity

	} 
}

textures/phanttech/phantq3dm6_jumppad_01
{   
	q3map_surfacelight 300
	//q3map_backSplash 10 25
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_jumppad_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_jumppad_01_add.tga
		blendfunc GL_ONE GL_ONE
	}

	
	{
		clampmap textures/phanttech/phantq3dm6_jumppad_01_inner.tga
		tcMod rotate 100
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}


	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}

textures/phanttech/phantq3dm6_jumppad_effect
{
	qer_editorimage textures/phanttech/phantq3dm6_jumppad_effect.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	//deformvertexes move 0 0 50 sawtooth 0 1 1 1.3
	deformvertexes move 0 0 20 sawtooth 0 1 1 1.3
	{
		clampmap textures/phanttech/phantq3dm6_jumppad_effect.jpg
		rgbGen wave sawtooth 1 -1 1 1.3
		blendfunc add
	}
}

textures/phanttech/phantq3dm6_weapon_marker
{
	qer_editorimage textures/phanttech/phantq3dm6_weapon_marker_out.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 	
	sort 6
	{
		clampmap textures/phanttech/phantq3dm6_weapon_marker_out.tga
		blendfunc add
		rgbGen Vertex
		//tcmod rotate -25
	}
	{
		clampmap textures/phanttech/phantq3dm6_weapon_marker_in.tga
		blendfunc add
		rgbGen Vertex
		tcmod rotate 25
	}
}


textures/phanttech/phantq3dm6_11
{
	qer_editorimage textures/phanttech/phantq3dm6_11.tga
    	surfaceparm trans	
	surfaceparm nonsolid
        surfaceparm nomarks
	polygonoffset	
	sort 6
	nopicmip
	{
		map textures/phanttech/phantq3dm6_11.tga
		blendfunc add
      		rgbGen Vertex
	}
	
}

textures/phanttech/tele_1
{
	qer_editorimage textures/phanttech/tele_1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 215
	cull none
	nopicmip
	{
		map textures/phanttech/tele_1.tga
		blendfunc add
	}
}


textures/phanttech/tele_1_effect
{
	qer_editorimage textures/phanttech/tele_1_effect.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	//deformvertexes move 0 0 50 sawtooth 0 1 1 1.3
	deformvertexes move 0 50 0 sawtooth 0 1 1 1.3
	{
		clampmap textures/phanttech/tele_1_effect.jpg
		rgbGen wave sawtooth 1 -1 1 1.3
		blendfunc add
	}
}

textures/phanttech/tele_1_effect_1
{
	qer_editorimage textures/phanttech/tele_1_effect.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	//deformvertexes move 0 0 50 sawtooth 0 1 1 1.3
	deformvertexes move 0 -50 0 sawtooth 0 1 1 1.3
	{
		clampmap textures/phanttech/tele_1_effect.jpg
		rgbGen wave sawtooth 1 -1 1 1.3
		blendfunc add
	}
}

textures/phanttech/phantq3dm6_screen_1
{
	qer_editorimage textures/phanttech/phantq3dm6_screen_1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull none
	nopicmip
	{
		map textures/phanttech/phantq3dm6_screen_1.tga
		blendfunc add
	}
}

textures/phanttech/phantq3dm6_screen_2
{
	qer_editorimage textures/phanttech/phantq3dm6_screen_2.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull none
	nopicmip
	{
		map textures/phanttech/phantq3dm6_screen_2.tga
		blendfunc add
	}
}

textures/phanttech/phantq3dm6_screen_3
{
	qer_editorimage textures/phanttech/phantq3dm6_screen_3.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull none
	nopicmip
	{
		map textures/phanttech/phantq3dm6_screen_3.tga
		blendfunc add
	}
}




//--------------------------------- Grates and Transparent -----------------------

textures/phanttech/phantq3dm6_halfwall_001
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_halfwall_001.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_wires_001
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_wires_001.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_girder_001
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_girder_001.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_bevel_trim_002_two-sided
{
	qer_editorimage textures/phanttech/phantq3dm6_bevel_trim_002.jpg
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_bevel_trim_002.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_honeycomb
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_honeycomb.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_techgrate_004
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_techgrate_004.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_grate_002
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_grate_002.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/phanttech/phantq3dm6_duel_fan
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_duel_fan.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}






//------------------------------- Lights --------------------------------

textures/phanttech/phantq3dm6_light_trim_001
{
	qer_editorimage textures/phanttech/phantq3dm6_light_trim_001.tga
	q3map_surfacelight 30
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_light_trim_001.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_light_trim_001_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_trim_009_light
{
	qer_editorimage textures/phanttech/phantq3dm6_trim_009_light.tga
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_trim_009_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_trim_009_light_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_trim_004
{
	qer_editorimage textures/phanttech/phantq3dm6_trim_004.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_trim_004.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_trim_004_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_edgetrim_005
{
	qer_editorimage textures/phanttech/phantq3dm6_edgetrim_005.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_edgetrim_005.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_edgetrim_005_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_techlight_001
{
	qer_editorimage textures/phanttech/phantq3dm6_techlight_001.tga
	q3map_surfacelight 2000
	q3map_lightSubdivide 512
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_techlight_001.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_techlight_001_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_techlight_002
{
	qer_editorimage textures/phanttech/phantq3dm6_techlight_002.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_techlight_002.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_techlight_002_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_trim_11
{
	qer_editorimage textures/phanttech/phantq3dm6_trim_11.tga
	q3map_surfacelight 30
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_trim_11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_trim_11_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_core_light
{
	qer_editorimage textures/phanttech/phantq3dm6_core_light.tga
	q3map_surfacelight 30
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_core_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phanttech/phantq3dm6_core_light_add.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phanttech/phantq3dm6_pipe_cap
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/phanttech/phantq3dm6_pipe_cap.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
	{
		map textures/phanttech/phantq3dm6_pipe_cap_add.tga
		blendfunc GL_ONE GL_ONE
	}


}


